Clone Page

Copies a page to a new address.

This is an asynchronous operation. If all checks pass, the response contains information on how to check the operation status.

Validation error codes (error_code):

  • IS_CLOUD_PAGE: cloud pages cannot be cloned
  • SLUG_OCCUPIED: after cloning, the page conflicts with an existing page
  • SLUG_RESERVED: cloning to reserved pages is not allowed
  • FORBIDDEN: no access to the source page or to the cluster where the page is being cloned
  • QUOTA_EXCEEDED: the page creation limit for the current organization has been reached
  • CLUSTER_BLOCKED: the cluster is temporarily blocked for migration

Request

POST

https://api.wiki.yandex.net/v1/pages/{idx}/clone

Path parameters

Name

Description

idx

Type: integer

Body

application/json
{
  "target": "example",
  "title": "example",
  "subscribe_me": false
}

Name

Description

target

Type: string

The page slug after cloning

Example: example

subscribe_me

Type: boolean

Subscribe to changes

Default: false

title

Type: string

If provided, the page title after cloning

Min length: 1

Max length: 255

Example: example

Responses

200 OK

OK

Body

application/json
{
  "operation": {
    "type": "clone",
    "id": "example"
  },
  "dry_run": false,
  "status_url": "example"
}

Name

Description

operation

Type: B2BOperationIdentity

Example
{
  "type": "clone",
  "id": "example"
}

status_url

Type: string

The URL to check the operation progress

Example: example

dry_run

Type: boolean

Default: false

B2BOperationType

An enumeration.

Type: string

Enum: clone, clone_inline_grid

B2BOperationIdentity

Name

Description

id

Type: string

Example: example

type

Type: B2BOperationType

An enumeration.

Enum: clone, clone_inline_grid

Example
{
  "type": "clone",
  "id": "example"
}